Skip to main content
GET
/
transactions
/
{transaction_hash}
/
state-changes
get transaction state changes
curl --request GET \
  --url https://eth.blockscout.com/api/v2/transactions/{transaction_hash}/state-changes
import requests

url = "https://eth.blockscout.com/api/v2/transactions/{transaction_hash}/state-changes"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://eth.blockscout.com/api/v2/transactions/{transaction_hash}/state-changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "type": "coin | token",
      "is_miner": true,
      "token": {
        "circulating_market_cap": "83606435600.3635",
        "icon_url": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png",
        "name": "Tether USD",
        "decimals": "6",
        "symbol": "USDT",
        "type": "ERC-20",
        "exchange_rate": "0.99",
        "total_supply": "10000000",
        "address_hash": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997",
        "holders_count": "837494234523"
      },
      "address_hash": {
        "hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
        "implementation_name": "implementationName",
        "name": "contractName",
        "is_contract": true,
        "private_tags": [
          {
            "address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
            "display_name": "name to show",
            "label": "label"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "name to show",
            "label": "label"
          }
        ],
        "public_tags": [
          {
            "address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
            "display_name": "name to show",
            "label": "label"
          }
        ],
        "is_verified": true,
        "ens_domain_name": "domain.eth",
        "metadata": {
          "slug": "tag_slug",
          "name": "Tag name",
          "tagType": "name",
          "ordinal": 0,
          "meta": {}
        }
      },
      "balance_before": "100000000",
      "balance_after": "100000000",
      "token_id": null,
      "change": [
        {
          "direction": "from | to",
          "total": {
            "token_id": "1",
            "token_instance": {
              "is_unique": true,
              "id": "431",
              "owner": {
                "hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
                "implementation_name": "implementationName",
                "name": "contractName",
                "is_contract": true,
                "private_tags": [
                  {
                    "address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
                    "display_name": "name to show",
                    "label": "label"
                  }
                ],
                "watchlist_names": [
                  {
                    "display_name": "name to show",
                    "label": "label"
                  }
                ],
                "public_tags": [
                  {
                    "address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
                    "display_name": "name to show",
                    "label": "label"
                  }
                ],
                "is_verified": true,
                "ens_domain_name": "domain.eth",
                "metadata": {
                  "slug": "tag_slug",
                  "name": "Tag name",
                  "tagType": "name",
                  "ordinal": 0,
                  "meta": {}
                }
              },
              "token": {
                "circulating_market_cap": "83606435600.3635",
                "icon_url": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png",
                "name": "Tether USD",
                "decimals": "6",
                "symbol": "USDT",
                "type": "ERC-20",
                "exchange_rate": "0.99",
                "total_supply": "10000000",
                "address_hash": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997",
                "holders_count": "837494234523"
              },
              "holder_address_hash": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997",
              "image_url": "example.com/picture.png",
              "animation_url": "example.com/video.mp4",
              "external_app_url": "d-app.com",
              "metadata": {
                "year": 2023,
                "tags": [
                  "poap",
                  "event"
                ],
                "name": "Social Listening Committee #2 Attendees",
                "image_url": "https://assets.poap.xyz/chanel-poap-4c-2023-logo-1675083420470.png",
                "home_url": "https://app.poap.xyz/token/6292128",
                "external_url": "https://api.poap.tech/metadata/99010/6292128",
                "description": "This is the POAP for attendees of the second Social Listening Committee.",
                "attributes": [
                  {
                    "value": "01-Feb-2023",
                    "trait_type": "startDate"
                  },
                  {
                    "value": "01-Feb-2023",
                    "trait_type": "endDate"
                  },
                  {
                    "value": "false",
                    "trait_type": "virtualEvent"
                  },
                  {
                    "value": "Paris",
                    "trait_type": "city"
                  },
                  {
                    "value": "France",
                    "trait_type": "country"
                  },
                  {
                    "value": "https://www.chanel.com",
                    "trait_type": "eventURL"
                  }
                ]
              }
            }
          }
        }
      ]
    }
  ],
  "next_page_params": {
    "items_count": 1,
    "state_changes": null
  }
}

Path Parameters

transaction_hash
string
required

Transaction hash

Pattern: ^0x([A-Fa-f0-9]{64})$

Response

state changes

items
object[]
required
next_page_params
object
required
Example:
{ "items_count": 1, "state_changes": null }